import { Construct } from 'constructs';
import { ResolvedApplicationProps } from '../applicationProps';
import { Topic } from 'aws-cdk-lib/aws-sns';
import { IStringParameter } from 'aws-cdk-lib/aws-ssm';
import * as s3 from 'aws-cdk-lib/aws-s3';
export interface FeatureBranchBuildsProps extends Pick<ResolvedApplicationProps, 'repository' | 'commands' | 'codeBuild'> {
    sourceBucket: s3.IBucket;
    repositoryTokenParam: IStringParameter;
}
export declare class FeatureBranchBuilds extends Construct {
    readonly failuresTopic: Topic;
    constructor(scope: Construct, id: string, props: FeatureBranchBuildsProps);
    private createDeployProject;
    private createDeployNotifications;
    private createBuildFailuresTopic;
    private createDestroyProject;
    private grantAssumeCDKRoles;
}
