import { ResolvedApplicationProps } from '../applicationProps';
import { Construct } from 'constructs';
import { IStringParameter } from 'aws-cdk-lib/aws-ssm';
import * as s3 from 'aws-cdk-lib/aws-s3';
export interface MirrorRepositoryProps extends Pick<ResolvedApplicationProps, 'repository'> {
    repoTokenParam: IStringParameter;
}
export declare class MirrorRepository extends Construct {
    readonly sourceBucket: s3.IBucket;
    constructor(scope: Construct, id: string, props: MirrorRepositoryProps);
    private createSourceBucket;
    private createRepositoryMirroring;
    private createWebhook;
}
